com.trendmicro.ds.platform.rest.api

## Interface IHostAPI

-     @Path(value="/hosts")
       @Produces(value={"application/xml","application/json"})
      public interface IHostAPI

  The APIs to return information about the Host.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HostTransportListing` | `getAllHosts(java.lang.String sessionId)` Gets a JSON or XML summary of each host in the DSM database.
    `HostTransport` | `getHost(java.lang.String sessionId, java.lang.Integer hostId)` Get information about a single host by host ID.
    `HostTransportListing` | `getHostsByHostname(java.lang.String sessionId, java.lang.String hostname)` Gets a JSON or XML summary of hosts with the given host name.
    `HostTransportListing` | `getHostsByInstanceID(java.lang.String sessionId, java.lang.String instanceid)` Gets a JSON or XML summary of hosts with the given instance ID.
    `ComponentListing` | `retrieveHostComponents(java.lang.Integer hostId, java.lang.String sessionId)` List the Components of the host.
    `ComponentListing` | `retrieveVirusPatterns(java.lang.Integer hostId, java.lang.String sessionId)` List the Virus Pattern Components of the host.

- - ### Method Detail

    - #### getAllHosts

          @GET
          HostTransportListing getAllHosts(@CookieParam(value="sID")
                                                java.lang.String sessionId)
                                         throws java.lang.Exception

      Gets a JSON or XML summary of each host in the DSM database.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
      Throws:
        `java.lang.Exception`

    - #### getHostsByHostname

          @GET
           @Path(value="/hostname/{hostname}")
          HostTransportListing getHostsByHostname(@CookieParam(value="sID")
                                                                                            java.lang.String sessionId,
                                                                                            @PathParam(value="hostname")
                                                                                            java.lang.String hostname)
                                                                                     throws java.lang.Exception

      Gets a JSON or XML summary of hosts with the given host name.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `hostname` -
      Returns:
      Throws:
        `java.lang.Exception`

    - #### getHostsByInstanceID

          @GET
           @Path(value="/instanceid/{instanceID}")
          HostTransportListing getHostsByInstanceID(@CookieParam(value="sID")
                                                                                                  java.lang.String sessionId,
                                                                                                  @PathParam(value="instanceID")
                                                                                                  java.lang.String instanceid)
                                                                                           throws java.lang.Exception

      Gets a JSON or XML summary of hosts with the given instance ID. Under normal circumstances, there should be only one host.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `instanceid` - the instance ID to query by.
      Returns:
      Throws:
        `java.lang.Exception`

    - #### getHost

          @GET
           @Path(value="/{hostID}")
          HostTransport getHost(@CookieParam(value="sID")
                                                               java.lang.String sessionId,
                                                               @PathParam(value="hostID")
                                                               java.lang.Integer hostId)
                                                        throws java.lang.Exception

      Get information about a single host by host ID.
      Parameters:
        `sessionId` - a session ID returned by the Authentication API.
        `hostId` - the host ID
      Returns:
      Throws:
        `java.lang.Exception`

    - #### retrieveHostComponents

          @GET
           @Path(value="/{hostID}/components/")
          ComponentListing retrieveHostComponents(@PathParam(value="hostID")
                                                                                             java.lang.Integer hostId,
                                                                                             @QueryParam(value="sID")
                                                                                             java.lang.String sessionId)
                                                                                      throws java.lang.Exception

      List the Components of the host. Components are patterns, rule updates, manifests, etc.., , typically items that are visible on the ComputerEditor->Updates page.
      Parameters:
        `hostId` - Identifying Host ID
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        the list of components
      Throws:
        `java.lang.Exception`

    - #### retrieveVirusPatterns

          @GET
           @Path(value="/{hostID}/virusPatterns/")
          ComponentListing retrieveVirusPatterns(@PathParam(value="hostID")
                                                                                               java.lang.Integer hostId,
                                                                                               @QueryParam(value="sID")
                                                                                               java.lang.String sessionId)
                                                                                        throws java.lang.Exception

      List the Virus Pattern Components of the host.
      Parameters:
        `hostID` - Identifying Host ID
        `sessionId` - a session ID returned by the Authentication API.
      Returns:
        the list of virus pattern components
      Throws:
        `java.lang.Exception`

Copyright © 2017 Trend Micro Inc. All Rights Reserved.